Package org.eclipse.gef

# Class GEFColorProvider

java.lang.Object
org.eclipse.gef.GEFColorProvider

All Implemented Interfaces:
  `org.eclipse.draw2d.ColorProvider`

Direct Known Subclasses:
  `PaletteColorProvider`

public class GEFColorProvider extends Object implements org.eclipse.draw2d.ColorProvider
A collection of color-related constants.

Since:
  3.14

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.ColorProvider

`org.eclipse.draw2d.ColorProvider.SystemColorFactory`

## Constructor Summary

Constructors
Constructor
Description
`GEFColorProvider()`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getButton()`
`Color`
`getButtonDarker()`
`Color`
`getButtonDarkest()`
`Color`
`getButtonLightest()`
`Color`
`getLineForeground()`
`Color`
`getListBackground()`
`Color`
`getListForeground()`
`Color`
`getListHoverBackgroundColor()`
`Color`
`getListSelectedBackgroundColor()`
`Color`
`getMenuBackground()`
`Color`
`getMenuBackgroundSelected()`
`Color`
`getMenuForeground()`
`Color`
`getMenuForegroundSelected()`
`Color`
`getShadowColor()`
`Color`
`getTitleBackground()`
`Color`
`getTitleForeground()`
`Color`
`getTitleGradient()`
`Color`
`getTitleInactiveBackground()`
`Color`
`getTitleInactiveForeground()`
`Color`
`getTitleInactiveGradient()`
`Color`
`getTooltipBackground()`
`Color`
`getTooltipForeground()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GEFColorProvider

public GEFColorProvider()

## Method Details

### getButtonLightest

public Color getButtonLightest()

Specified by:
  `getButtonLightest` in interface `org.eclipse.draw2d.ColorProvider`

### getButton

public Color getButton()

Specified by:
  `getButton` in interface `org.eclipse.draw2d.ColorProvider`

### getButtonDarker

public Color getButtonDarker()

Specified by:
  `getButtonDarker` in interface `org.eclipse.draw2d.ColorProvider`

### getButtonDarkest

public Color getButtonDarkest()

Specified by:
  `getButtonDarkest` in interface `org.eclipse.draw2d.ColorProvider`

### getListBackground

public Color getListBackground()

Specified by:
  `getListBackground` in interface `org.eclipse.draw2d.ColorProvider`

### getListForeground

public Color getListForeground()

Specified by:
  `getListForeground` in interface `org.eclipse.draw2d.ColorProvider`

### getLineForeground

public Color getLineForeground()

Specified by:
  `getLineForeground` in interface `org.eclipse.draw2d.ColorProvider`

### getMenuBackground

public Color getMenuBackground()

Specified by:
  `getMenuBackground` in interface `org.eclipse.draw2d.ColorProvider`

### getMenuForeground

public Color getMenuForeground()

Specified by:
  `getMenuForeground` in interface `org.eclipse.draw2d.ColorProvider`

### getMenuBackgroundSelected

public Color getMenuBackgroundSelected()

Specified by:
  `getMenuBackgroundSelected` in interface `org.eclipse.draw2d.ColorProvider`

### getMenuForegroundSelected

public Color getMenuForegroundSelected()

Specified by:
  `getMenuForegroundSelected` in interface `org.eclipse.draw2d.ColorProvider`

### getShadowColor

public Color getShadowColor()

Specified by:
  `getShadowColor` in interface `org.eclipse.draw2d.ColorProvider`

### getTitleBackground

public Color getTitleBackground()

Specified by:
  `getTitleBackground` in interface `org.eclipse.draw2d.ColorProvider`

### getTitleGradient

public Color getTitleGradient()

Specified by:
  `getTitleGradient` in interface `org.eclipse.draw2d.ColorProvider`

### getTitleForeground

public Color getTitleForeground()

Specified by:
  `getTitleForeground` in interface `org.eclipse.draw2d.ColorProvider`

### getTitleInactiveForeground

public Color getTitleInactiveForeground()

Specified by:
  `getTitleInactiveForeground` in interface `org.eclipse.draw2d.ColorProvider`

### getTitleInactiveBackground

public Color getTitleInactiveBackground()

Specified by:
  `getTitleInactiveBackground` in interface `org.eclipse.draw2d.ColorProvider`

### getTitleInactiveGradient

public Color getTitleInactiveGradient()

Specified by:
  `getTitleInactiveGradient` in interface `org.eclipse.draw2d.ColorProvider`

### getTooltipForeground

public Color getTooltipForeground()

Specified by:
  `getTooltipForeground` in interface `org.eclipse.draw2d.ColorProvider`

### getTooltipBackground

public Color getTooltipBackground()

Specified by:
  `getTooltipBackground` in interface `org.eclipse.draw2d.ColorProvider`

### getListHoverBackgroundColor

public Color getListHoverBackgroundColor()

Specified by:
  `getListHoverBackgroundColor` in interface `org.eclipse.draw2d.ColorProvider`

### getListSelectedBackgroundColor

public Color getListSelectedBackgroundColor()

Specified by:
  `getListSelectedBackgroundColor` in interface `org.eclipse.draw2d.ColorProvider`